/*#region Chick-Fil-A Styles*/
@font-face {
  font-family: 'Apercu-Bold';
  src: url('/assets/fonts/apercu-bold.otf') format('opentype');
}

@font-face {
  font-family: 'Apercu-Medium';
  src: url('/assets/fonts/apercu-medium.otf') format('opentype');
}

@font-face {
  font-family: 'Apercu-Regular';
  src: url('/assets/fonts/apercu-regular.otf') format('opentype');
}

@font-face {
  font-family: 'Caecilia-Light';
  src: url('/assets/fonts/CaeciliaCom-45Light.ttf') format('truetype');
}

@font-face {
  font-family: 'Caecilia-Roman';
  src: url('/assets/fonts/CaeciliaCom-55Roman.ttf') format('truetype');
}

@font-face {
  font-family: 'Caecilia-Bold';
  src: url('/assets/fonts/CaeciliaCom-75Bold.ttf') format('truetype');
}

@font-face {
  font-family: 'Caecilia-Heavy';
  src: url('/assets/fonts/CaeciliaCom-85Heavy.ttf') format('truetype');
}

:root {
  --cfaGrey: #5b6770;
  --disabled: #999999;
  --cfaNormalFont: 'Apercu-Regular', Fallback, sans-serif;
  --cfaNormalFont_Bold: 'Apercu-Bold', Fallback, sans-serif;
  --cfaActionFont: 'Caecilia-Bold', Fallback, sans-serif;
  --cfaActionFont_Heavy: 'Caecilia-Heavy', Fallback, sans-serif;
  --cfaActionFont_Light: 'Caecilia-Light', Fallback, sans-serif;
}
/*#endregion*/

/*#region Bootstrap overrides*/
body {
  font-family: 'Apercu-Regular', Fallback, sans-serif !important;
  -webkit-font-smoothing: initial !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  font-family: 'Apercu-Regular', Fallback, sans-serif;
  /* sets the font for all basic elements in the app to Apercu */
}

p {
  white-space: normal !important;
  line-height: normal !important;
  margin-bottom: 0 !important;
}
html > .cfa-light {
  background-color: #fafafa;
}
html > .cfa-dark {
  background-color: #303030;
}
a {
  font-family: 'Apercu-Regular' !important;
  font-weight: 500 !important;
}
input {
  font-family: 'Apercu-Regular' !important;
  font-weight: 500 !important;
}
.App {
  text-align: center;
  font-family: 'Apercu-Regular' !important;
}
button {
  font-family: 'Caecilia-Bold', Fallback, sans-serif !important;
}

div {
  font-family: 'Apercu-Regular' !important;
}

span {
  font-family: 'Apercu-Regular' !important;
}
.fd-nested-list__icon img {
  max-width: 26px !important;
  max-height: 23px !important;
}
.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}
.fd-nested-list__title {
  font-family: 'Apercu-Regular' !important;
}
.fd-nested-list__button.fd-button {
  color: #d5d5d5 !important;
  margin-right: 10px !important;
}

.fd-button > [class*='sap-icon'] {
  display: block;
}

.fd-app__sidebar.svelte-1hxcqcv {
  position: fixed;
  top: 4.4rem;
}
.cfa-light .fd-nested-list__link.is-selected {
  background-color: #fafafa !important;
}

.cfa-light .fd-side-nav {
  background-color: #fafafa !important;
}

.cfa-light .fd-nested-list__item {
  background-color: #fafafa;
}

.cfa-light .fd-button {
  background-color: #fafafa !important;
}

.cfa-dark .fd-nested-list__link.is-selected {
  background-color: #303030 !important;
}

.cfa-dark .fd-side-nav {
  background-color: #303030 !important;
}

.cfa-dark .fd-nested-list__item {
  background-color: #303030;
}

.cfa-dark .fd-button {
  background-color: #303030 !important;
}

.fd-nested-list--text-only.level-2 .fd-nested-list__link.is-selected {
  border-bottom: 0rem solid black !important;
}

.fd-side-nav--condensed .fd-nested-list__content.has-child:after {
  display: none !important;
}

.cfa-light
  .fd-nested-list__content.has-child
  > .fd-nested-list__link
  > .fd-nested-list__title,
.fd-nested-list__link.has-child
  > .fd-nested-list__link
  > .fd-nested-list__title {
  color: #a9a9a9;
  font-family: 'Apercu-Bold' !important;
}

.cfa-dark
  .fd-nested-list__content.has-child
  > .fd-nested-list__link
  > .fd-nested-list__title,
.fd-nested-list__link.has-child
  > .fd-nested-list__link
  > .fd-nested-list__title {
  color: white;
  font-family: 'Apercu-Bold' !important;
}
.cfa-light .fd-nested-list--text-only .fd-nested-list__title:first-child {
  color: #a9a9a9;
  font-size: 12px;
  font-weight: 700;
  border: none;
}

.cfa-dark .fd-nested-list--text-only .fd-nested-list__title:first-child {
  color: white;
  font-size: 12px;
  font-weight: 700;
  border: none;
}
.fd-side-nav--condensed .fd-nested-list__icon {
  min-width: 2.8rem !important;
}
.fd-nested-list .level-2 .fd-nested-list__content,
.fd-nested-list .level-2 .fd-nested-list__link {
  padding-left: 4rem !important;
  padding-right: 0rem !important;
}
.fd-nested-list__content.has-child,
.fd-nested-list__link.has-child {
  height: 70px;
}

.fd-nested-list__item:not(.lui-collapsible-item)
  .fd-nested-list__link.svelte-1hxcqcv {
  padding-right: 1rem;
  height: 50px !important;
}
.cfa-dark
  .fd-app__sidebar.hasFooter.svelte-1hxcqcv
  .fd-side-nav__main-navigation.svelte-1hxcqcv {
  color: #ffffff !important;
  background-color: #303030 !important;
}

.cfa-dark .fd-nested-list__link.svelte-1hxcqcv {
  color: #ffffff !important;
  background-color: #303030 !important;
}
.cfa-light
  .fd-app__sidebar.hasFooter.svelte-1hxcqcv
  .fd-side-nav__main-navigation.svelte-1hxcqcv {
  color: #5b6770 !important;
}

.cfa-light .fd-nested-list__link.svelte-1hxcqcv {
  color: #5b6770 !important;
}

.cfa-dark .fd-nested-list__content {
  background-color: #303030 !important;
}

.cfa-dark .fd-nested-list__content {
  background-color: #303030 !important;
}
.cfa-dark .fd-side-nav__main-navigation {
  background-color: #303030 !important;
}
.cfa-dark .lui-flyout-sublist .lui-flyout-sublist__wrapper.svelte-1hxcqcv {
  background-color: #303030 !important;
  color: #ffffff !important;
}

.cfa-light .lui-flyout-sublist .lui-flyout-sublist__wrapper.svelte-1hxcqcv {
  color: #5b6770 !important;
}
.cfa-dark .lui-flyout-sublist .lui-flyout-sublist__wrapper.svelte-1hxcqcv {
  position: relative;
  border-radius: 4px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -webkit-box-shadow: 0 5px 20px 0 #303030, 0 2px 8px 0 #303030;
  -moz-box-shadow: 0 5px 20px 0 #303030, 0 2px 8px 0 #303030;
  box-shadow: 0 5px 20px 0 #303030, 0 2px 8px 0 #303030;
  border: 1px solid var(--fd-color-neutral-3);
  background: #303030;
}
.cfa-dark
  .lui-flyout-sublist
  .lui-flyout-sublist__wrapper.svelte-1hxcqcv:after {
  border-right-color: #303030 !important;
}
.cfa-light .fd-shellbar__title {
  color: #5b6770de !important;
}

.cfa-dark .fd-shellbar__title {
  color: white !important;
}
.cfa-light .shell-nav {
  box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%), 0 4px 5px 0 rgb(0 0 0 / 14%),
    0 1px 10px 0 rgb(0 0 0 / 12%);
  background-color: #fafafa !important;
  height: 70px;
  color: #5b6770de !important;
  z-index: 5;
  flex-wrap: nowrap !important;
  justify-content: start !important;
}

.cfa-dark .shell-nav {
  box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%), 0 4px 5px 0 rgb(0 0 0 / 14%),
    0 1px 10px 0 rgb(0 0 0 / 12%);
  background-color: #303030 !important;
  height: 70px;
  color: white !important;
  z-index: 5;
  flex-wrap: nowrap !important;
  justify-content: start !important;
}
.fd-shellbar.svelte-vrocyr {
  display: none !important;
}

.nav-img-container {
  margin: 0px 12px 1px 63px;
  display: flex;
}

.cfa-light .nav-app-name {
  font-size: 11px;
  line-height: 13px;
  color: #5b6770 !important;
}

.cfa-dark .nav-app-name {
  font-size: 11px;
  line-height: 13px;
  color: white !important;
}
.cfa-nowrap-row {
  width: 100% !important;
  margin: 0 !important;
}

.row {
  display: flex;
  flex-wrap: wrap;
}

.pl-2,
.px-2 {
  padding-left: 0.5rem !important;
}

.pr-0,
.px-0 .pr-1 {
  padding-right: 0 !important;
}

.align-self-center {
  align-self: center !important;
}

.col-auto {
  flex: 0 0 auto;
  width: auto;
  max-width: 100%;
}

.cfa-light .lui-fd-side-nav-wrapper a:active {
  background-color: #fafafa !important;
}

.cfa-light .lui-fd-side-nav-wrapper div:active {
  background-color: #fafafa !important;
}

.cfa-light .lui-fd-side-nav-wrapper button:active {
  background-color: #fafafa !important;
}

.cfa-light .lui-fd-side-nav-wrapper .fd-nested-list__content:active {
  background-color: #fafafa !important;
}

.cfa-light .lui-fd-side-nav-wrapper li:active {
  background-color: #fafafa !important;
}

.cfa-dark .lui-fd-side-nav-wrapper a:active {
  background-color: #303030 !important;
}

.cfa-dark .lui-fd-side-nav-wrapper div:active {
  background-color: #303030 !important;
}

.cfa-dark .lui-fd-side-nav-wrapper button:active {
  background-color: #303030 !important;
}

.cfa-dark .lui-fd-side-nav-wrapper .fd-nested-list__content:active {
  background-color: #303030 !important;
}

.cfa-dark .lui-fd-side-nav-wrapper li:active {
  background-color: #303030 !important;
}

.lui-semiCollapsible .fd-app__sidebar.svelte-1hxcqcv {
  box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%), 0 4px 5px 0 rgb(0 0 0 / 14%),
    0 1px 10px 0 rgb(0 0 0 / 12%);
}

.search {
  margin-left: 3.3%;
}

.cfa-light .cfa-drop {
  margin-left: -189px;
  margin-top: -23px;
  border-radius: 0px !important;
  border: none !important;
  box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%), 0 4px 5px 0 rgb(0 0 0 / 14%),
    0 1px 10px 0 rgb(0 0 0 / 12%);
  background-color: #fafafa;
  position: absolute;
  width: 200px;
  max-width: 200px;
  white-space: nowrap;
  overflow-x: hidden;
  text-align: left;
  z-index: 1;
  height: auto;
}

.cfa-light .cfa-dropdown-item {
  color: #5b6770de !important;
  font-size: 16px;
  font-weight: 500 !important;
}

.cfa-dark .cfa-drop {
  margin-left: -189px;
  margin-top: -23px;
  border-radius: 0px !important;
  border: none !important;
  box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%), 0 4px 5px 0 rgb(0 0 0 / 14%),
    0 1px 10px 0 rgb(0 0 0 / 12%);
  background-color: #303030;
  position: absolute;
  width: 200px;
  max-width: 200px;
  white-space: nowrap;
  overflow-x: hidden;
  text-align: left;
  z-index: 1;
  height: auto;
}

.cfa-dark .cfa-dropdown-item {
  color: white !important;
  font-size: 16px;
  font-weight: 500 !important;
}
.storePicker {
  width: 0px !important;
  margin-left: 80px !important;
}
.cfa-light .cfa-modal .MuiBox-root {
  box-shadow: 0 11px 15px -7px #0003, 0 24px 38px 3px #00000024,
    0 9px 46px 8px #0000001f;
  background-color: #fafafa;
  color: #5b6770de;
  width: 450px !important;
  display: block;
  padding: 24px;
  border: none;
  border-radius: 4px;
  box-sizing: border-box;
  overflow: auto;
  margin: auto !important;
  outline: 0;
  width: 100%;
  height: 100%;
  max-width: 90vw !important;
  max-height: 380px !important;
  min-height: inherit;
  justify-content: center;
  align-items: center;
}
.cfa-dark .cfa-modal .MuiBox-root {
  box-shadow: 0 11px 15px -7px #0003, 0 24px 38px 3px #00000024,
    0 9px 46px 8px #0000001f;
  background-color: #303030;
  color: White;
  width: 450px !important;
  display: block;
  padding: 24px;
  border: none;
  border-radius: 4px;
  box-sizing: border-box;
  overflow: auto;
  margin: auto !important;
  outline: 0;
  width: 100%;
  height: 100%;
  max-width: 90vw !important;
  max-height: 380px !important;
  min-height: inherit;
  justify-content: center;
  align-items: center;
}

.cfa-modal-title {
  font-family: 'Caecilia-Heavy', Fallback, sans-serif !important;
  text-align: center !important;
}

.cfa-modal-sub-title {
  font-family: 'Caecilia-Heavy', Fallback, sans-serif !important;
}
.cart_container {
  margin-top: -16px !important;
  margin-left: -25px;
  cursor: pointer !important;
}
.cfa-light .cart-disabled {
  fill: rgba(211, 211, 211, 255) !important;
}
.cfa-dark .cart-disabled {
  fill: #fafafa !important;
}
#darkSelection {
  padding: 22px 20px 20px 20px;
  min-height: 90px;
  width: 104px;
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
  user-select: none;
  height: 100px;
  border: 2px solid #0000;
  background-color: #303030;
  color: white;
}
#defaultSelection,
#lightSelection {
  padding: 22px 20px 20px 20px;
  min-height: 90px;
  width: 104px;
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
  user-select: none;
  height: 100px;
  border: 2px solid #0000;
  background-color: #fafafa;
  color: #5b6770;
}

.mui-card-span {
  text-align: center;
  font-family: 'Caecilia-Heavy', Fallback, sans-serif !important;
  line-height: 18px;
  font-weight: 900;
  font-size: 16px;
}
.cfa-light .MuiPaper-root {
  background-color: #fafafa;
}
.cfa-dark .MuiPaper-root {
  background-color: #303030;
}
.MuiCardContent-root {
  padding: 12px;
  text-align: center;
  padding: 0% 0% 0% 0% !important;
}
.css-kk1bwy-MuiButtonBase-root-MuiMenuItem-root {
  font-family: 'Apercu-Regular' !important;
}

.MuiCardContent-root {
  padding: 17% 0% 0% 0% !important;
}
.cart-svg {
  width: 69px !important;
  height: 38px !important;
}
.row {
  display: flex;
  flex-wrap: wrap;
  margin-right: -15px;
  margin-left: -15px;
}
.text-center {
  text-align: center !important;
}
.col {
  flex-basis: 0;
  flex-grow: 1;
  max-width: 100%;
  position: relative;
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
}
.sign-in-wrapper > .container,
.sign-in-wrapper > .container > .row {
  height: 100%;
}
@media (min-width: 1200px) {
  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl {
    max-width: 1140px;
  }
}
@media (min-width: 992px) {
  .container,
  .container-lg,
  .container-md,
  .container-sm {
    max-width: 960px;
  }
}
@media (min-width: 768px) {
  .container,
  .container-md,
  .container-sm {
    max-width: 720px;
  }
}
@media (min-width: 576px) {
  .container,
  .container-sm {
    max-width: 540px;
  }
}
.container,
.container-fluid,
.container-lg,
.container-md,
.container-sm,
.container-xl {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

.container-right {
  justify-content: right !important;
  display: flex !important;
}
.col-1 {
  width: 8.33%;
}
.col-2 {
  width: 16.66%;
}
.col-3 {
  width: 25%;
}
.col-4 {
  width: 33.33%;
}
.col-5 {
  width: 41.66%;
}
.col-6 {
  width: 50%;
}
.col-7 {
  width: 58.33%;
}
.col-8 {
  width: 66.66%;
}
.col-9 {
  width: 75%;
}
.col-10 {
  width: 83.33%;
}
.col-11 {
  width: 91.66%;
}
.col-12 {
  width: 100%;
}
.store-picker-original {
  margin-top: 5px !important;
  height: 20px !important;
}
.cfa-store-popper {
  width: 350px !important;
  height: 319px !important;
  z-index: 10;
  margin-left: 12px !important;
}
.cfa-store-select-icon.rotate {
  transform: rotate(-180deg);
}
.cfa-store-popper > .MuiPaper-root {
  height: max-content !important;
}
.cfa-light .cfa-store-popper > .MuiPaper-root {
  background-color: #fafafa;
  box-shadow: 0 2px 4px -1px #0003, 0 4px 5px #00000024, 0 1px 10px #0000001f;
  margin-top: 3px;
}
.cfa-dark .cfa-store-popper > .MuiPaper-root {
  background-color: #424242 !important;
  box-shadow: 0 2px 4px -1px #0003, 0 4px 5px #00000024, 0 1px 10px #0000001f;
  margin-top: 3px;
}
@media only screen and (max-width: 768px) {
  [class*='col-'] {
    width: 100%;
  }
}
@media screen and (max-width: 800px) {
  .user-settings {
    display: none !important;
  }
}
.store-picker-under-search {
  display: none;
}

@media screen and (max-width: 870px) {
  .navbar {
    height: 82px !important;
  }
  .fd-app__sidebar {
    margin-top: 10px !important;
  }
  .fd-page {
    margin-top: 20px !important;
  }
  .storePicker {
    width: 0px !important;
    margin-top: 8px !important;
  }
  .three-dots-ico {
    display: none !important;
  }
  .search {
    margin-top: -24px;
    margin-left: 15.3%;
  }
  .store-picker-under-search {
    display: block !important;
  }
  .store-picker-original {
    padding-top: 9px;
    position: relative;
    left: -300px;
  }
  .user-settings {
    display: none !important;
  }
  .storePicker > .MuiGrid-root > .MuiGrid-item {
    margin-left: 46px;
  }
  .cart-svg {
    padding-left: 0px !important;
  }
  .user-settings {
    width: 0px !important;
  }
}
@media screen and (max-width: 430px) {
  .cfa-modal .MuiBox-root {
    padding: 14px !important;
  }
  .search {
    margin-left: 6%;
  }
}
/* Nav styles */
.cfa-avatar {
  height: 28px !important;
  width: 28px !important;
  font-size: 12px !important;
}
#basic-menu > .MuiPaper-root {
  width: 275px !important;
}
.MuiPopover-paper {
  box-shadow: 0 2px 4px -1px #0003, 0 4px 5px #00000024, 0 1px 10px #0000001f !important;
  margin-top: -25px !important;
  margin-left: -4px !important;
}
.MuiDivider-root {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
}
.fd-nested-list__icon > img {
  max-width: 23px !important;
  max-height: 23px !important;
}
.iframeContainer {
  overflow: hidden !important;
}
.fd-page {
  margin-top: 10px !important;
}
.MuiTablePagination-spacer {
  flex: none !important;
  margin-left: 40px !important;
}
.svg-icon-img {
  width: 24px;
  height: 25px;
  margin-left: 4px;
}
.luigi-add-icon {
  width: 100%;
  padding: 12px;
  margin-left: -12px;
  font-size: 14px;
}
.sap-icon--navigation-right-arrow:before {
  content: '\e066' !important;
}
.sap-icon--navigation-down-arrow:before {
  content: '\e1e2' !important;
}
.sap-icon--close-command-field:before {
  content: '\e1bf' !important;
}
.sap-icon--open-command-field:before {
  content: '\e1c0' !important;
}
.fd-nested-list__content.has-child > .fd-nested-list__link:focus {
  outline: 0 !important;
}
.fd-nested-list__link:focus {
  outline: 0 !important;
}
@media screen and (max-width: 771px) {
  .search {
    margin-left: 9.3%;
  }
}
@media screen and (max-width: 725px) {
  .search {
    margin-left: 2.3%;
  }
}
@media screen and (max-width: 670px) {
  .search {
    margin-left: 2.3%;
  }
  .store-picker-original {
    left: -255px;
  }
}
@media screen and (max-width: 625px) {
  .search {
    margin-left: 2%;
  }
  .store-picker-original {
    left: -230px;
  }
}
@media screen and (max-width: 580px) {
  .store-picker-original {
    left: -214px;
  }
}
@media screen and (max-width: 540px) {
  .store-picker-original {
    left: -197px;
  }
  .cart_container {
    margin-top: -22px !important;
    margin-left: -20px;
  }
}
@media screen and (max-width: 507px) {
  .store-picker-original {
    left: -200px;
  }
}
@media screen and (max-width: 492px) {
  .store-picker-original {
    left: -188px;
  }
}
@media screen and (max-width: 480px) {
  .store-picker-original {
    left: -175px;
  }
  .search {
    margin-left: 5%;
  }
}
@media screen and (max-width: 465px) {
  .cart_container {
    margin-top: -22px !important;
    margin-left: -13px;
  }
}
@media screen and (max-width: 445px) {
  .store-picker-original {
    left: -165px;
  }
}
@media screen and (max-width: 414px) {
  .store-picker-original {
    left: -140px;
  }
  .cart_container {
    margin-top: -22px !important;
    margin-left: 14px;
  }
}
@media screen and (max-width: 375px) {
  .store-picker-original {
    left: -138px;
  }
}
